LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 08-05-2013, 02:55 AM   #1
r4rare@gmail.com
LQ Newbie
 
Registered: Aug 2013
Posts: 4

Rep: Reputation: Disabled
Installation of Oracle Jdeveloper on Oracle Linux fails


hi ,

Installation of Jdeveloper version 12.1.2 on Linux is failing with below error can any one please suggest the solution.

bash-3.00# ./jdev_suite_121200_linux64.bin
0%.................................................................................................. ..100%
Error: dl failure on line 864
Error: failed /tmp/sfx_UpXzch/oracle.jdk/jdk/jre/lib/amd64/server/libjvm.so, because /lib64/tls/libc.so.6: version `GLIBC_2.4' not found (required by /tmp/sfx_UpXzch/oracle.jdk/jdk/jre/lib/amd64/server/libjvm.so)
** Error during execution, error code = 1536.

Thanks
Raghav
 
Old 08-05-2013, 03:12 AM   #2
druuna
LQ Veteran
 
Registered: Sep 2003
Posts: 10,532
Blog Entries: 7

Rep: Reputation: 2390Reputation: 2390Reputation: 2390Reputation: 2390Reputation: 2390Reputation: 2390Reputation: 2390Reputation: 2390Reputation: 2390Reputation: 2390Reputation: 2390
You mention using Oracle Linux, which version?

Version 6.4 and 5.9 both have the required glibc version. Version 4.8, however, does not.

You might want to check these 2 links:
- Preparing to Install Oracle JDeveloper
- Oracle Fusion Middleware System Requirements and Specifications (especially section 6, but do read the rest).
 
Old 08-05-2013, 03:17 AM   #3
r4rare@gmail.com
LQ Newbie
 
Registered: Aug 2013
Posts: 4

Original Poster
Rep: Reputation: Disabled
hi ,

thanks for you reply i am using Oracle Linux 4 (Intel 64-bit, Developer).
 
Old 08-05-2013, 03:21 AM   #4
druuna
LQ Veteran
 
Registered: Sep 2003
Posts: 10,532
Blog Entries: 7

Rep: Reputation: 2390Reputation: 2390Reputation: 2390Reputation: 2390Reputation: 2390Reputation: 2390Reputation: 2390Reputation: 2390Reputation: 2390Reputation: 2390Reputation: 2390
Quote:
Originally Posted by r4rare@gmail.com View Post
hi ,

thanks for you reply i am using Oracle Linux 4 (Intel 64-bit, Developer).
That's not going to work, that version is too old.

Besides the fact that you cannot install Jdeveloper version 12.1.2, running such and old unsupported Linux version isn't the way to go (security risk, outdated package etc, etc). I would strongly advise to update to a recent version (which seems to be 6.4 atm).

Last edited by druuna; 08-05-2013 at 03:22 AM. Reason: fixed a typo
 
2 members found this post helpful.
Old 08-07-2013, 01:57 AM   #5
r4rare@gmail.com
LQ Newbie
 
Registered: Aug 2013
Posts: 4

Original Poster
Rep: Reputation: Disabled
Ok i am re-imaging my linux host form linux 4 to linux 6 . I have two options one is Oralce Linux 6 and Oracle Linux 6 u3 . Which one i will go for ?


Thanks
Raghav
 
Old 08-07-2013, 03:37 AM   #6
druuna
LQ Veteran
 
Registered: Sep 2003
Posts: 10,532
Blog Entries: 7

Rep: Reputation: 2390Reputation: 2390Reputation: 2390Reputation: 2390Reputation: 2390Reputation: 2390Reputation: 2390Reputation: 2390Reputation: 2390Reputation: 2390Reputation: 2390
Quote:
Originally Posted by r4rare@gmail.com View Post
Ok i am re-imaging my linux host form linux 4 to linux 6 . I have two options one is Oralce Linux 6 and Oracle Linux 6 u3 . Which one i will go for ?
As mentioned in my previous post; Use the latest stable version, which is 6.4.
 
Old 08-07-2013, 09:59 AM   #7
r4rare@gmail.com
LQ Newbie
 
Registered: Aug 2013
Posts: 4

Original Poster
Rep: Reputation: Disabled
6.4 version is not available i can go for only Linux 5 , 6 or 6 u3 .


Thanks
Raghav
 
Old 08-07-2013, 10:18 AM   #8
druuna
LQ Veteran
 
Registered: Sep 2003
Posts: 10,532
Blog Entries: 7

Rep: Reputation: 2390Reputation: 2390Reputation: 2390Reputation: 2390Reputation: 2390Reputation: 2390Reputation: 2390Reputation: 2390Reputation: 2390Reputation: 2390Reputation: 2390
If 6.4 isn't (yet?) available then the obvious choice would be 6.3, then 6.2 etc.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Oracle Installation on OEL 4.5 ( ORACLE LINUX ) thiyagusham Linux - Newbie 5 05-05-2012 07:10 PM
need to configure autostart of oracle database and oracle soa suite on linux bootup sumit.tambekar Linux - Newbie 2 01-24-2011 08:35 PM
LXer: Oracle and Symantec Certify Veritas Data Center Solutions on Oracle(R) Enterprise Linux LXer Syndicated Linux News 0 07-18-2007 07:31 AM
LXer: Oracle Enhances Oracle Validated Configurations With More Solutions and New Partners to Help Deploy Linux Faster LXer Syndicated Linux News 0 08-16-2006 07:54 PM
Oracle Installation Fails ehsan Linux - General 7 04-23-2002 12:04 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 07:01 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration